# Uses of Interface
org.eclipse.net4j.util.om.log.OMLogger

Packages that use OMLogger
Package
Description
org.eclipse.net4j.util
Utility classes.
org.eclipse.net4j.util.om
Interfaces and classes for platform-independent operations and maintenance (O&M).
org.eclipse.net4j.util.om.log
Interfaces and classes for platform-independent logging.

## Uses of OMLogger in org.eclipse.net4j.util

Methods in org.eclipse.net4j.util with parameters of type OMLogger
Modifier and Type
Method
Description
`static void`
ExceptionHandler.Factory.`handle(Object catcher, Throwable ex, String message, OMLogger logger)`
`static void`
ExceptionHandler.Factory.`handle(Object catcher, Throwable ex, String message, OMLogger logger, IManagedContainer container)`
`static void`
ExceptionHandler.Factory.`handle(Object catcher, Throwable ex, String message, OMLogger logger, IManagedContainerProvider containerProvider)`
`static void`
ExceptionHandler.Factory.`handle(IManagedContainerProvider catcher, Throwable ex, String message, OMLogger logger)`
`void`
ExceptionHandler.`handleException(Object catcher, Throwable ex, String message, OMLogger logger)`

## Uses of OMLogger in org.eclipse.net4j.util.om

Methods in org.eclipse.net4j.util.om that return OMLogger
Modifier and Type
Method
Description
`OMLogger`
OMBundle.`logger()`

## Uses of OMLogger in org.eclipse.net4j.util.om.log

Classes in org.eclipse.net4j.util.om.log that implement OMLogger
Modifier and Type
Class
Description
`class`
`Logger`
The default `logger` implementation.
Methods in org.eclipse.net4j.util.om.log with parameters of type OMLogger
Modifier and Type
Method
Description
`boolean`
OMLogFilter.`filter(OMLogger logger, OMLogger.Level level, String msg, Throwable t)`
Prevents the log event represented by the arguments from being passed to `registered` `log handlers`, if and only if `true` is returned.
`void`
AbstractLogHandler.`logged(OMLogger logger, OMLogger.Level level, String msg, Throwable t)`
`void`
EclipseLoggingBridge.`logged(OMLogger logger, OMLogger.Level level, String msg, Throwable t)`
`void`
OMLogHandler.`logged(OMLogger logger, OMLogger.Level level, String msg, Throwable t)`
`void`
OSGiLoggingBridge.`logged(OMLogger logger, OMLogger.Level level, String msg, Throwable t)`
Deprecated.
`void`
OSGiLogHandler.`logged(OMLogger logger, OMLogger.Level level, String msg, Throwable t)`
`protected abstract void`
AbstractLogHandler.`writeLog(OMLogger logger, OMLogger.Level level, String msg, Throwable t)`
`protected void`
FileLogHandler.`writeLog(OMLogger logger, OMLogger.Level level, String msg, Throwable t)`
`protected void`
PrintLogHandler.`writeLog(OMLogger logger, OMLogger.Level level, String msg, Throwable t)`